;
; EC-65K generic definitions.
;
; Michiel Broek, 12-Apr-2009
;

; ---------------------------------------------------------------------------
; Memory, EC-65K with XDOS/65

CURS_Y		:= $DF0A	; Cursor position Y
CURS_X		:= $DF0B	; Cursor position X
ATTBUF		:= $DF2E	; Attribute buffer
CPUMHZ		:= $DF31	; Speed in MHz
CPUTIM		:= $DF32	; Speed test raw, used by bell
INBUP		:= $DF39	; Serial input pointer
OUBUP		:= $DF3A	; Serial output pointer
RIFLAG		:= $DF3B	; Serial input available flag

SECS		:= $DF50	; Current second
MINS		:= $DF52	; Current minute
HOURS		:= $DF54	; Current hour
DAYIM		:= $DF57	; Current day in month (1..31)
MONTH		:= $DF58	; Current month (1..12)
YEAR		:= $DF59	; Current year (without century)
RMODE		:= $DF5A	; <>0 RTC runs binair
PERLLO		:= $DF5B	; Periodic timer lo-16 bit low byte
PERLHI		:= $DF5C	; Periodic timer lo-16 bit high byte
PERHLO		:= $DF5D	; Periodic timer hi-16 bit low byte
PERHHI		:= $DF5E	; Periodic timer hi-16 bit high byte

IRQNV2		:= $DFF6	; IRQ Native vector
IRQEV2		:= $DFFE	; IRQ Emulated vector

; ---------------------------------------------------------------------------
; DOS/65:

SIMJMP		:= $0100	; SIM jump entry
PEMJMP		:= $0103	; PEM jump entry
IOBYTE		:= $0106	; I/O byte
DFLFCB		:= $0107	; Default FCB
DFLBUF		:= $0128	; Default buffer

SIM		:= $C800	; SIM address
WBOOT		:= SIM+3	; Warm boot
CONST		:= SIM+6	; Console status
CONIN		:= SIM+9	; Console in
CONOUT		:= SIM+12	; Console out
PRNOUT		:= SIM+15	; Printer out
PUNOUT		:= SIM+18	; Serial out
RDRIN		:= SIM+21	; Serial in
DHOME		:= SIM+24	; Home drive
SELDSK		:= SIM+27	; Select disk
SELTRK		:= SIM+30	; Select track
SELSEC		:= SIM+33	; Select sector
SETDMA		:= SIM+36	; Set DMA address
DREAD		:= SIM+39	; Disk read
DWRITE		:= SIM+42	; Disk write
PRNST		:= SIM+45	; Printer status
RTCRD		:= SIM+48	; RTC
SECTRN		:= SIM+51	; Sector translate

SCLINS		:= SIM+60	; Lines per screen
CHARLN		:= SIM+61	; Characters per line


; ---------------------------------------------------------------------------
; I/O:

AR		:= $E140	; 6845 CRT address register
RFILE		:= $E141	; 6845 CRT register file
ATTLAT		:= $E146	; Atribute latch
PIADRA		:= $E400	; Keyboard PIA data register
PIACRA		:= $E401	; keyboard PIA control register
SCREEN		:= $E800	; Screen refresh RAM

EXMDAT		:= $E170	; Extended Memory DATA read/write
EXMALO		:= EXMDAT+1	; Extended Memory low-byte address
EXMAHI		:= EXMDAT+2	; Extended Memory high-byte address

; ---------------------------------------------------------------------------
; Extended Memory:

EXMFRE		:= $6800	; 38 Kbytes free extended memory

